// Add env vars from files
// Note: actual env vars supersede .env file and .env file supersedes .env.defaults file
import { config } from 'dotenv-defaults'
import { logger } from './logger.js'
import { createApp } from './create-app.js'
import createQueues from './create-queues.js'
config()

const app = await createApp()
createQueues()

// Binds and listens for connections on the specified host and port
app.listen({ host: '::', port: Number(process.env.PORT) })

process.on('uncaughtException', err => {
  logger.error(err, 'uncaughtException')
  process.exit(1)
})

process.on('unhandledRejection', err => {
  logger.error(err, 'unhandledRejection')
  process.exit(1)
})
